#!/bin/bash

mkdir -p logs

export VLLM_USE_MODELSCOPE="False"

model_ckpts=(
    /path_to_ckpt
)

# models的数量
num_ckpts=${#model_ckpts[@]}

for (( num_ckpt=0; num_ckpt<num_ckpts; num_ckpt++ )); do
    echo $num_ckpt
    timestamp=$( date +"%Y%m%d_%H%M%S")
    echo $timestamp
    bash ./base_multi_model.sh ${model_ckpts[$num_ckpt]} $num_ckpt $timestamp &

    sleep 5
done
wait
